Skip to content
View as Markdown

GET Get Campaign Revenues​

GET
/campaigns/{id}/revenues

Get a paginated list of revenue (orders) attributed to a campaign. Supports WooCommerce and Easy Digital Downloads. Returns order details including buyer name, status, date, and formatted total. Returns an empty array if no e-commerce plugin is active.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Query Parameters

per_page

Number of orders per page.

Type
integer
Default
10
page

Page number.

Type
integer
Default
1

Responses​

Revenue report retrieved successfully.

application/json
JSON
{
"orders": [
{
"id": 0,
"title": "string",
"status": "string",
"date": "string",
"total": "string"
}
],
"labels": {
"id": "string",
"title": "string",
"status": "string",
"date": "string",
"total": "string"
},
"total": 0
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI